<template>
  <el-dialog
  :visible.sync="isShow"
  @close="$emit('update:isShow',false)"
  :modal-append-to-body='false'
  width="652px"
  title="历史备注">
    <div class="dialog-box">
      <el-table
        :data="tableData"
        border
        max-height="360">
        <el-table-column label="备注信息" prop="Content" align="center">
          <template slot-scope="{row}">
            {{row.Content}}
          </template>
        </el-table-column>
        <el-table-column label="备注时间" prop="CreateTime" align="center">
          <template slot-scope="{row}">
            {{row.CreateTime}}
          </template>
        </el-table-column>
      </el-table>
    </div>
  </el-dialog>
</template>

<script>
  export default{
    props:{
      isShow:{
        type:Boolean,
        required:true
      },
      tableData:{
        type:Array,
        default:()=>[]
      }
    },
    data() {
      return {
 
      }
    },
    methods: {
      save(){
        this.$refs.remarkFormRef.validate(valid=>{
          if(valid){
            this.$emit("saveRemark",this.remarkForm.text)
            this.$refs.remarkFormRef.resetFields()
          }
        })
      }
    },
  }
</script>

<style lang="scss" scoped>
  .dialog-box{
    padding: 0 35px 20px;
  }
</style>